import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M212-395v-22h536v22H212Zm0-148v-22h536v22H212Z",
    "200": "M200-393.85v-30.77h560v30.77H200Zm0-141.53v-30.77h560v30.77H200Z",
    "300": "M180-391.92v-45.39h600v45.39H180Zm0-130.77v-45.39h600v45.39H180Z",
    "400": "M160-390v-60h640v60H160Zm0-120v-60h640v60H160Z",
    "500": "M154.02-381.87V-450h652.2v68.13h-652.2Zm0-128.13v-68.37h652.2V-510h-652.2Z",
    "600": "M145.87-370.78V-450H814.7v79.22H145.87Zm0-139.22v-79.78H814.7V-510H145.87Z",
    "700": "M135-356v-94h691v94H135Zm0-154v-95h691v95H135Z"
  }
};
const DragHandleW100 = createMaterialIcon("drag_handle", pathData.regular[100]);
const DragHandleW200 = createMaterialIcon("drag_handle", pathData.regular[200]);
const DragHandleW300 = createMaterialIcon("drag_handle", pathData.regular[300]);
const DragHandleW400 = createMaterialIcon("drag_handle", pathData.regular[400]);
const DragHandleW500 = createMaterialIcon("drag_handle", pathData.regular[500]);
const DragHandleW600 = createMaterialIcon("drag_handle", pathData.regular[600]);
const DragHandleW700 = createMaterialIcon("drag_handle", pathData.regular[700]);
const DragHandleFillW100 = createMaterialIcon("drag_handle", pathData.regular[100]);
const DragHandleFillW200 = createMaterialIcon("drag_handle", pathData.regular[200]);
const DragHandleFillW300 = createMaterialIcon("drag_handle", pathData.regular[300]);
const DragHandleFillW400 = createMaterialIcon("drag_handle", pathData.regular[400]);
const DragHandleFillW500 = createMaterialIcon("drag_handle", pathData.regular[500]);
const DragHandleFillW600 = createMaterialIcon("drag_handle", pathData.regular[600]);
const DragHandleFillW700 = createMaterialIcon("drag_handle", pathData.regular[700]);

export { DragHandleFillW100, DragHandleFillW200, DragHandleFillW300, DragHandleFillW400, DragHandleFillW500, DragHandleFillW600, DragHandleFillW700, DragHandleW100, DragHandleW200, DragHandleW300, DragHandleW400, DragHandleW500, DragHandleW600, DragHandleW700 };
